Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003780TestLinkTest Executepublic2010-09-15 23:042010-10-09 08:01
ReporterDrops 
Assigned Toamitkhullar 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.15OSWindowsOS Version2003
Product Version 
Fixed in Version1.9 RC 1 
Summary0003780: Steps of a TestCase are not dispalyed on execution page[TL 1.9 RC1 snapshot ]
DescriptionAfter 1.9 Beta 6 file inc_steps.tpl was moved to "\testlink\gui\templates\testcases" folder.
And the include for the file is not valid in \testlink\gui\templates\execute\inc_exec_test_spec.tpl.

I am not sure that should be used the same file inc_steps.tpl in inc_exec_test_spec.tpl but temporary added reference to it. This helped to show TestCase steps during execution.

diff -u -r1.20 inc_exec_test_spec.tpl
--- inc_exec_test_spec.tpl 2 Aug 2010 08:57:56 -0000 1.20
+++ inc_exec_test_spec.tpl 14 Sep 2010 21:40:18 -0000
@@ -74,7 +74,7 @@
       {/if}
 
    {if $args_tc_exec.steps != ''}
- {include file="inc_steps.tpl"
+ {include file="testcases/inc_steps.tpl"
                layout=$args_cfg->exec_cfg->steps_results_layout
                edit_enabled=false
                steps=$args_tc_exec.steps}

Steps To Reproduce1) Create a TestCase and requirement. Link the TestCase with requirement
2) Create several steps for the TestCase.
....
3) Try to execute the TestCase for a Test Build.

There is not steps info on the execute TestCase page.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.49
BrowserIE8, Firefox 3.6.9
PHP VersionPHP 5.3.2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011382)
amitkhullar (reporter)
2010-09-16 10:18
edited on: 2010-09-16 13:38

16/09/2010 15:43:41 WARNING E_USER_WARNING Smarty error: unable to read resource: "inc_steps.tpl" - in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\third_party\smarty\libs\Smarty.class.php - Line 1093 admin
16/09/2010 15:43:27 WARNING E_USER_WARNING Smarty error: unable to read resource: "inc_steps.tpl" - in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\third_party\smarty\libs\Smarty.class.php - Line 1093 admin
16/09/2010 15:43:23 WARNING E_NOTICE Undefined property: stdClass::$automatic_tree_refresh - in C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\tlTestCaseFilterControl.class.php - Line 952
These errors are also logged in the event viewer

(0011383)
fman (administrator)
2010-09-16 13:36

>> on Click to change sort orderUser
what does this means ?
(0011385)
amitkhullar (reporter)
2010-09-16 13:38

That was a copy paste typo... ignore it.
(0011394)
amitkhullar (reporter)
2010-09-17 10:48

Fixed
(0011399)
fman (administrator)
2010-09-17 17:11

thanks
(0011773)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-15 23:04 Drops New Issue
2010-09-16 09:40 fman Assigned To => fman
2010-09-16 09:40 fman Status new => assigned
2010-09-16 10:18 amitkhullar Note Added: 0011382
2010-09-16 13:36 fman Note Added: 0011383
2010-09-16 13:36 fman Product Version 1.9 Beta 6 =>
2010-09-16 13:38 amitkhullar Note Edited: 0011382 View Revisions
2010-09-16 13:38 amitkhullar Note Added: 0011385
2010-09-17 10:48 amitkhullar Note Added: 0011394
2010-09-17 10:48 amitkhullar Status assigned => resolved
2010-09-17 10:48 amitkhullar Fixed in Version => 1.9 RC 1
2010-09-17 10:48 amitkhullar Resolution open => fixed
2010-09-17 10:48 amitkhullar Assigned To fman => amitkhullar
2010-09-17 17:11 fman Note Added: 0011399
2010-10-09 08:01 fman Note Added: 0011773
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker